Skip to content

Creates a new course offering record that does not already exist.

Request

This method will auto-generate an ID and create a new course offering. If an ID is specified for the course offering, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The course offering that you would like to be saved.

additional_instructor_idsArray of strings(Additional Instructors)

Additional instructors

addressobject(Address)

A complete address

capacity_optionsobject(Capacity Options)required
course_idstring(Course)required

The course being scheduled

course_type_idstring(Course Type)

The type of course

credits_to_assignArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

Any information you want to display about this in the portal

eligibility_requirementsobject(Eligibility Requirements)required

The criteria to use

enable_capacityboolean(Enable Capacity)

Whether capacity is set

enable_eligibility_requirementsboolean(Enable Eligibility Requirements)

If true, this offering is only available to certain individuals

enable_webinar_integrationboolean(Enable Webinar Integration)

If selecting, registration will be linked to an external webinar service

end_datestring, (date-time)(End Date)required

The date of the course

event_idstring(Event)

If this offering is tied to a course, list it here

fee_idstring(Fee)

The course registration fee

idstring(ID)^[\w|-]+$required

The unique, string identifier of this course offering

instructor_idstring(Instructor)

The instructor

instructor_namesArray of strings(Instructor Names)

The names of the instructors

meeting_urlstring(Meeting Url)

The URL of the meeting

namestring(Name)required

The name of the course offering

override_credit_assignmentboolean(Override Credit Assignment)

If true, the credit assignment rules for this course are overridden for the offering

program_idsArray of strings(Programs)

The programs for which this course is relevant

publish_to_portalboolean(Publish To Portal)

Whether to sell the offering online

sell_fromstring, (date-time)(Sell From)

Date to sell online from

sell_untilstring, (date-time)(Sell Until)

Date to sell online from

short_descriptionstring(Short Description)

Any short descriptive information to display in the directory

start_datestring, (date-time)(Start Date)required

The date of the course

survey_urlstring(Survey Url)

A link to the survey to use after the course is complete

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

timezonestring(Timezone)required

The timezone in which the course offering lives

timezone_abbreviationstring(Timezone Abbreviation)

The timezone abbreviation, based on the event start date

timezone_modestring(Timezone Mode)
Enum:"local""specific timezone"
timezone_offsetnumber, (float)(Timezone Offset)

The time zone offset, in minutes, from UTC, based on the event start date

training_location_idstring(Training Location)required

The training location

training_provider_idstring(Training Provider)required

The training provider administering the course

typestring(Type)
Enum:"in person""on-demand""virtual"
webinar_integration_optionsobject(Webinar Integration Options)required
webinar_urlstring(Webinar Url)

The URL of the webinar

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/courseOfferings/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "additional_instructor_ids": [
      "string"
    ],
    "address": {
      "city": "string",
      "country": "AD",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "capacity_options": {
      "capacity": 0.1
    },
    "course_id": "string",
    "course_type_id": "string",
    "credits_to_assign": [
      {
        "automatically_verify": true,
        "credit_type_id": "string",
        "quantity": 0.1
      }
    ],
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "description": "string",
    "eligibility_requirements": {
      "advanced_rule_error_message": "string",
      "advanced_rules": {},
      "age_restrictions": {
        "maximum_age": 0.1,
        "minimum_age": 0.1
      },
      "award_options": {
        "award_ids": [
          "string"
        ],
        "award_type_ids": [
          "string"
        ],
        "logic_operator": "and"
      },
      "award_recipients": true,
      "by_location": true,
      "certificants": true,
      "certification_options": {
        "logic_operator": "and",
        "program_ids": [
          "string"
        ]
      },
      "committee_member_options": {
        "committee_ids": [
          "string"
        ],
        "committee_position_ids": [
          "string"
        ],
        "committee_type_ids": [
          "string"
        ],
        "logic_operator": "and"
      },
      "committee_members": true,
      "custom_logic_options": {
        "lambda_function_id": "string"
      },
      "customer_type": "contact",
      "donor_options": {
        "donor_club_ids": [
          "string"
        ],
        "logic_operator": "and"
      },
      "donors": true,
      "enable_advanced_rules": true,
      "enable_age_restrictions": true,
      "enable_custom_logic": true,
      "enable_entitlement_restrictions": true,
      "enable_expression": true,
      "enable_organization_restrictions": true,
      "enable_status_restriction": true,
      "entitlement_restrictions": [
        {
          "quantity": 0.1,
          "type_id": "string"
        }
      ],
      "event_registration_options": {
        "event_ids": [
          "string"
        ],
        "logic_operator": "and",
        "registration_category_ids": [
          "string"
        ]
      },
      "event_registrations": true,
      "expression": "string",
      "expression_error_message": "string",
      "location": {
        "countries": [
          "string"
        ],
        "negate_logic": true
      },
      "logic_operator": "and",
      "member_options": {
        "chapter_member_options": {
          "chapter_ids": [
            "string"
          ],
          "chapter_type_ids": [
            "string"
          ],
          "logic_operator": "and"
        },
        "chapter_members": true,
        "member_package_ids": [
          "string"
        ],
        "member_status_reason_ids": [
          "string"
        ],
        "member_statuses": [
          "active"
        ],
        "member_type_ids": [
          "string"
        ],
        "section_member_options": {
          "logic_operator": "and",
          "section_ids": [
            "string"
          ],
          "section_type_ids": [
            "string"
          ]
        },
        "section_members": true
      },
      "members": true,
      "non_members": true,
      "organization_restrictions": {
        "contact_role_ids": [
          "string"
        ],
        "organization_type_ids": [
          "string"
        ]
      },
      "status_restrictions": [
        "string"
      ],
      "use_organization_for_eligibility": true
    },
    "enable_capacity": true,
    "enable_eligibility_requirements": true,
    "enable_webinar_integration": true,
    "end_date": "2019-08-24T14:15:22Z",
    "event_id": "string",
    "fee_id": "string",
    "id": "string",
    "instructor_id": "string",
    "instructor_names": [
      "string"
    ],
    "meeting_url": "string",
    "name": "string",
    "override_credit_assignment": true,
    "program_ids": [
      "string"
    ],
    "publish_to_portal": true,
    "sell_from": "2019-08-24T14:15:22Z",
    "sell_until": "2019-08-24T14:15:22Z",
    "short_description": "string",
    "start_date": "2019-08-24T14:15:22Z",
    "survey_url": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "timezone": "string",
    "timezone_abbreviation": "string",
    "timezone_mode": "local",
    "timezone_offset": 0.1,
    "training_location_id": "string",
    "training_provider_id": "string",
    "type": "in person",
    "webinar_integration_options": {
      "meeting_id": "string",
      "type": "meeting",
      "webinar_account_id": "string",
      "webinar_id": "string",
      "webinar_service": "integrations-zoom-accounts"
    },
    "webinar_url": "string"
  }'

Responses

The course offering was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
additional_instructor_idsArray of strings(Additional Instructors)

Additional instructors

addressobject(Address)

A complete address

capacity_optionsobject(Capacity Options)required
course_idstring(Course)required

The course being scheduled

course_type_idstring(Course Type)

The type of course

credits_to_assignArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

Any information you want to display about this in the portal

eligibility_requirementsobject(Eligibility Requirements)required

The criteria to use

enable_capacityboolean(Enable Capacity)

Whether capacity is set

enable_eligibility_requirementsboolean(Enable Eligibility Requirements)

If true, this offering is only available to certain individuals

enable_webinar_integrationboolean(Enable Webinar Integration)

If selecting, registration will be linked to an external webinar service

end_datestring, (date-time)(End Date)required

The date of the course

event_idstring(Event)

If this offering is tied to a course, list it here

fee_idstring(Fee)

The course registration fee

idstring(ID)^[\w|-]+$required

The unique, string identifier of this course offering

instructor_idstring(Instructor)

The instructor

instructor_namesArray of strings(Instructor Names)

The names of the instructors

meeting_urlstring(Meeting Url)

The URL of the meeting

namestring(Name)required

The name of the course offering

override_credit_assignmentboolean(Override Credit Assignment)

If true, the credit assignment rules for this course are overridden for the offering

program_idsArray of strings(Programs)

The programs for which this course is relevant

publish_to_portalboolean(Publish To Portal)

Whether to sell the offering online

sell_fromstring, (date-time)(Sell From)

Date to sell online from

sell_untilstring, (date-time)(Sell Until)

Date to sell online from

short_descriptionstring(Short Description)

Any short descriptive information to display in the directory

start_datestring, (date-time)(Start Date)required

The date of the course

survey_urlstring(Survey Url)

A link to the survey to use after the course is complete

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

timezonestring(Timezone)required

The timezone in which the course offering lives

timezone_abbreviationstring(Timezone Abbreviation)

The timezone abbreviation, based on the event start date

timezone_modestring(Timezone Mode)
Enum:"local""specific timezone"
timezone_offsetnumber, (float)(Timezone Offset)

The time zone offset, in minutes, from UTC, based on the event start date

training_location_idstring(Training Location)required

The training location

training_provider_idstring(Training Provider)required

The training provider administering the course

typestring(Type)
Enum:"in person""on-demand""virtual"
webinar_integration_optionsobject(Webinar Integration Options)required
webinar_urlstring(Webinar Url)

The URL of the webinar

Response
{ "additional_instructor_ids": [ "string" ], "address": { "city": "string", "country": "AD", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "capacity_options": { "capacity": 0.1 }, "course_id": "string", "course_type_id": "string", "credits_to_assign": [ { … } ], "custom_field_values": [ { … } ], "description": "string", "eligibility_requirements": { "advanced_rule_error_message": "string", "advanced_rules": {}, "age_restrictions": { … }, "award_options": { … }, "award_recipients": true, "by_location": true, "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "custom_logic_options": { … }, "customer_type": "contact", "donor_options": { … }, "donors": true, "enable_advanced_rules": true, "enable_age_restrictions": true, "enable_custom_logic": true, "enable_entitlement_restrictions": true, "enable_expression": true, "enable_organization_restrictions": true, "enable_status_restriction": true, "entitlement_restrictions": [ … ], "event_registration_options": { … }, "event_registrations": true, "expression": "string", "expression_error_message": "string", "location": { … }, "logic_operator": "and", "member_options": { … }, "members": true, "non_members": true, "organization_restrictions": { … }, "status_restrictions": [ … ], "use_organization_for_eligibility": true }, "enable_capacity": true, "enable_eligibility_requirements": true, "enable_webinar_integration": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "fee_id": "string", "id": "string", "instructor_id": "string", "instructor_names": [ "string" ], "meeting_url": "string", "name": "string", "override_credit_assignment": true, "program_ids": [ "string" ], "publish_to_portal": true, "sell_from": "2019-08-24T14:15:22Z", "sell_until": "2019-08-24T14:15:22Z", "short_description": "string", "start_date": "2019-08-24T14:15:22Z", "survey_url": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "timezone": "string", "timezone_abbreviation": "string", "timezone_mode": "local", "timezone_offset": 0.1, "training_location_id": "string", "training_provider_id": "string", "type": "in person", "webinar_integration_options": { "meeting_id": "string", "type": "meeting", "webinar_account_id": "string", "webinar_id": "string", "webinar_service": "integrations-zoom-accounts" }, "webinar_url": "string" }